# frozen_string_literal: true

require 'rails_helper'

RSpec.describe UpdateScoreFromRequestJob, type: :job do
  let!(:applicant) { create(:applicant, :with_eligible_offers) }

  before(:each) do
    clear_enqueued_jobs
  end

  it 'should create score for given applicant' do
    perform_enqueued_jobs do
      expect {
        UpdateScoreFromRequestJob.perform_now(applicant.id.to_s, true)
      }.to change {
        Hermes::Score.count
      }.by (1)

      expect(applicant.scores).not_to be_blank
    end
  end
end
